# $Revision: 1.7 $, $Date: 2006/12/13 23:30:25 $
%define		_modname	rpmreader
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

Summary:	%{_modname} - RPM file meta information reader
Summary(pl):	%{_modname} - odczyt metainformacji z plikw RPM
Name:		php-pecl-%{_modname}
Version:	0.3
Release:	3
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	73aca25e6f5b7b17dffe4dfb63110505
URL:		http://pecl.php.net/package/rpmreader/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpmreader is an extension that provides the ability to read RPM
Package Manager (RPM) files' header information. This extension
currently does not provide the functionality to read the signature or
archive sections of the RPM file.

In PECL status of this extension is: %{_status}.

%description -l pl
rpmreader jest rozszerzeniem umoliwiajcym odczyt informacji z
nagwkw plikw RPM (RPM Package Manager). Rozszerzenie to na chwil
obecn nie udostpnia moliwoci odczytu podpisu ani zawartoci
archiwum pliku RPM.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,examples}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-rpmreader.spec,v $
Revision 1.7  2006/12/13 23:30:25  glen
- rel 3 (php 5.2.0)

Revision 1.6  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.5  2005/12/24 15:39:16  glen
- rel 2 (rebuild with new php)

Revision 1.4  2005/11/03 00:20:23  qboosh
- typo, wrapped

Revision 1.3  2005/11/01 22:04:31  adamg
- udpated to 0.3
- tsrmls.patch applied upstream

Revision 1.2  2005/11/01 20:22:54  glen
- License is PHP 3.0 according to LICENSE

Revision 1.1  2005/11/01 18:54:50  adamg
- new
